2017-05-26 13:21 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000385Cheat Engine(No Category)public2015-03-19 14:07
ReporterAjural 
Assigned ToDark Byte 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000385: CE 6.4 Inconsistent math on hotkey in-/decreases on hex values
DescriptionWhen using a hotkey set to increase a float value shown as hex by 800000, it doubles it, as expected (example: 0x3F800000 -> 0x40000000, 1f -> 2f).
In reverse however, decreasing 0x40000000 by 800000, which should just turn the 2f back into 1f, instead it subtracts 800000 from 0x40000000 as if it was a decimal value, resulting in 0x39200000, and it doesn't subtract anything if the value of which to subtract from contains letters, leading me to the conclusion that "Decrease value with:" hotkeys do not work (correctly) on hexadecimal values, while "Increase value with:" does.
Steps To Reproduce1. Open any process with CE
2. Find a float number, add to address list
3. Right Click float in address list, show as hexadecimal
4. Add 2 hotkeys to that float, one increasing, one decreasing
5. Use the hotkeys and watch the odd behaviour of the hex value increasing as a hexadecimal, but decreasing as if it was decimal
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000791

Dark Byte (developer)

fixed in the svn
+Notes

-Issue History
Date Modified Username Field Change
2015-03-18 03:22 Ajural New Issue
2015-03-19 14:07 Dark Byte Note Added: 0000791
2015-03-19 14:07 Dark Byte Assigned To => Dark Byte
2015-03-19 14:07 Dark Byte Status new => feedback
2015-03-19 14:07 Dark Byte Status feedback => resolved
2015-03-19 14:07 Dark Byte Resolution open => fixed
+Issue History